/* =========================
   DESKTOP DEFAULT
========================= */

.mobile-speaker,
.mobile-tailored,
.mobile-poster {
  display: none;
}

.course-box {
  display: flex;
  gap: 80px;
}

.course-summary {
  flex: 1;
  padding: 40px;
}

.course-poster-wrap {
  flex: 1;
}

.course-poster-large {
  max-width: 400px;
  width: 100%;
  border-radius: 15px;
}

/* =========================
   MOBILE FIX
========================= */
@media (max-width: 992px) {

  .course-box {
    flex-direction: column;
  }

  /* SHOW MOBILE ELEMENTS */
  .mobile-speaker,
  .mobile-tailored,
  .mobile-poster {
    display: block;
    padding: 15px 0;
  }

  /* HIDE DESKTOP SIDEBAR */
  .course-poster-wrap {
    display: none;
  }

  /* POSTER UNDER TITLE */
  .mobile-poster {
    text-align: center;
    margin: 15px 0;
  }

  .course-poster-large {
    max-width: 300px;
    margin: 0 auto;
  }

  .course-summary {
    padding: 20px;
  }
}

/* BACK BUTTON */
.back-section {
  position: absolute;
  top: 20px;
  left: 190px;
  z-index: 10;
  margin-top: 100px;
}

.back-btn {
  position: relative;
  display: inline-block;
  text-decoration: none;
  background: #FCE570;
  color: #11184A;
  padding: 8px 18px;
  border-radius: 6px;
  font-weight: 500;
  font-size: 0.95rem;
  overflow: hidden;
  transition: color 0.5s ease;
  margin-bottom: 10px;
}

.back-btn::before {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 0;
  background-color: #11184A;
  border-radius: 6px;
  transition: height 0.5s ease;
}

.back-btn span {
  position: relative;
  z-index: 1;
  transition: color 0.5s ease;
}

.back-btn:hover::before {
  height: 100%;
}

.back-btn:hover span {
  color: #fff;
}

